document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_14200
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh printf "\n› Setting up puma-dev\n" -mkdir $HOME/Library/LaunchAgents # Shouldn't need this much longer: https://github.com/puma/puma-dev/pull/77 +sudo -k mkdir $HOME/Library/LaunchAgents # Shouldn't need this much longer: https://github.com/puma/puma-dev/pull/77 sudo puma-dev -s...
bash
d_bash_14201
--- +++ @@ -9,4 +9,3 @@ export LC_ALL="en_US.UTF-8"; export MANPAGER="less -X"; -export GREP_OPTIONS="--color=auto";
bash
d_bash_14202
--- +++ @@ -9,3 +9,4 @@ cp fst_web/fs_doc/fixtures/bilaga/*.pdf fst_web/uploads/ovrigt/ cp fst_web/fs_doc/fixtures/konsoliderad_foreskrift/*.pdf fst_web/uploads/konsoliderad_foreskrift/ cp fst_web/fs_doc/fixtures/demo-database/fst_demo.db fst_web/database/fst_demo.db +python manage.py test
bash
d_bash_14203
--- +++ @@ -8,6 +8,14 @@ date +%m elif [[ ${1} == -y ]]; then date +%Y + fi + } + + getDayOfWeek(){ + if [[ ${1} == num ]]; then + date +%u + elif [[ ${1} == name ]]; then + date +%A fi }
bash
d_bash_14204
--- +++ @@ -2,8 +2,11 @@ if [[ "$1" == "stack" && "$2" == "install" ]]; then if is_service_enabled nova; then - echo_summary "Patching nova module" - patch -d "$NOVA_DIR" -p1 < "$TOP_DIR/files/romana-nova-reschedule.patch" + nova_patch="$TOP_DIR/files/romana-nova-reschedule.patch" + ...
bash
d_bash_14205
--- +++ @@ -18,9 +18,7 @@ VIRTUALENV_DIR=/var/tmp/virtualenvs/$(echo ${JOB_NAME} | tr ' ' '-') export PIP_DOWNLOAD_CACHE=/var/tmp/pip_download_cache -if [ ! -e $VIRTUALENV_DIR ]; then - virtualenv --no-site-packages $VIRTUALENV_DIR -fi +virtualenv --clear --no-site-packages $VIRTUALENV_DIR source $VIRTUALENV_DI...
bash
d_bash_14206
--- +++ @@ -28,7 +28,7 @@ --with-ltdl-lib=$PREFIX/lib --with-libxml2=$PREFIX --with-chasm=$PREFIX \ --without-sidlx -make all -j$CPU_COUNT > stdout.txt || tail -100 stdout.txt -make install > stdout.txt || tail -100 stdout.txt +make all -j$CPU_COUNT > stdout.txt || (tail -100 stdout.txt && echo "ERROR in make...
bash
d_bash_14207
--- +++ @@ -14,3 +14,8 @@ # Adding this enables reverse reverse search in terminal, on mac stty -ixon + +# Changes color of directories in output of 'ls' from blue to green color. That +# way it's more readable with f.lux on. Seems to not work on macs, but works +# fine with Linux machines +LS_COLORS=$LS_COLORS:'...
bash
d_bash_14208
--- +++ @@ -2,7 +2,6 @@ # My personal alias alias be='bundle exec' - alias si='sudo apt-get install' alias sr='sudo apt-get remove --purge' alias sag='sudo apt-get' @@ -10,3 +9,4 @@ alias aa='sudo apt-get autoclean && sudo apt-get autoremove' alias esc='xmodmap ~/.xmodmap' +alias redis='~/run-redis.sh'
bash
d_bash_14209
--- +++ @@ -1,23 +1,58 @@ -vname () { echo `diskutil cs info $1 | grep "Volume Name" | cut -d : -f 2 | sed -e 's/^\ *//'` ;} +#!/bin/bash +if [ "`whoami`" != "root" ] + then + # Run as root to avoid Console logging sudo commands. + echo "Attempting to re-run as root..." + sudo bash ./plist.sh + exit +fi + +vname...
bash
d_bash_14210
--- +++ @@ -1,4 +1,8 @@ #!/bin/sh -e +for i in $*; do + var_name=$i + var_value=${!i} - + echo ${var_name}=${var_value} +done
bash
d_bash_14211
--- +++ @@ -1,3 +1,3 @@ export PATH=./bin:$DOTFILES/bin:$PATH -export PYTHONPATH=$PYTHONPATH:/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages +export PYTHONPATH=$PYTHONPATH:/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages:$(brew --prefix...
bash
d_bash_14212
--- +++ @@ -5,7 +5,7 @@ # respective tasks with ruby -S which causes the following error to # appear: ruby: no Ruby script found in input (LoadError). if [ ! -f .ruby-version ]; then - export PATH=$(echo $PATH | awk 'BEGIN { RS=":"; ORS=":" } !/rbenv/' | sed 's/:$//') + export PATH=$(printf $PATH | awk 'BEGIN { ...
bash
d_bash_14213
--- +++ @@ -18,6 +18,7 @@ require $JAB/src/bash/aliases.sh require $JAB/local/functons.sh require $HUB/kd/kd.sh + source_path ~/.oldpwd export PS1="\$? [\u@\H:\$PWD]\n$ " sp
bash
d_bash_14214
--- +++ @@ -1,6 +1,4 @@ #!/bin/bash - -source /opt/bin/functions.sh EXIT_CODE=0 export GEOMETRY="$SCREEN_WIDTH""x""$SCREEN_HEIGHT""x""$SCREEN_DEPTH" @@ -14,11 +12,9 @@ echo "appending selenium options: ${SE_OPTS}" fi -SERVERNUM=$(get_server_num) - rm -f /tmp/.X*lock -xvfb-run -n $SERVERNUM --server-args...
bash
d_bash_14215
--- +++ @@ -28,5 +28,5 @@ yum install git -y fi -#ansible-galaxy install --no-deps --force --role-file=/vagrant/roles.yml --roles-path=/etc/ansible/roles +ansible-galaxy install --no-deps --force --role-file=/vagrant/roles.yml --roles-path=/etc/ansible/roles ANSIBLE_ROLES_PATH=/etc/ansible/roles:/opt/roles ans...
bash
d_bash_14216
--- +++ @@ -6,12 +6,14 @@ local tag="$1" local containerName="jira.$tag" local networkName="jira_dockertestnet" - docker run --rm -d --network $networkName --name="$containerName" teamatldocker/jira:"$tag" + + # CircleCI does not (easily) allow exposing Docker ports so we always use port 8080 + local port...
bash
d_bash_14217
--- +++ @@ -14,5 +14,5 @@ ./configure --with-imagick=/opt/imagemagick; make -j; sudo make install; -echo "extension=imagick.so" >> `php --ini | grep "Loaded Configuration" | sed -e "s|.*:\s*||"`; +echo "extension=imagick.so" >> ~/.phpenv/versions/$(phpenv version-name)/etc/php.ini php --ri imagick;
bash
d_bash_14218
--- +++ @@ -1,3 +1,3 @@ #!/bin/sh -curl -X POST -d @request.json http://latrice.local:9000 --header "Content-Type:application/json" +curl -X POST -d @request.json http://latrice.local:9000/response.json --header "Content-Type:application/json"
bash
d_bash_14219
--- +++ @@ -1,3 +1,3 @@ -export PATH=".:bin:/usr/local/bin:/usr/local/sbin:$ZSH/bin:$PATH" +export PATH=".:bin:/usr/local/bin:/usr/local/sbin:$HOME/.sfs:$ZSH/bin:$PATH" export MANPATH="/usr/local/man:/usr/local/mysql/man:/usr/local/git/man:$MANPATH"
bash
d_bash_14220
--- +++ @@ -49,6 +49,6 @@ cd ${SUBJECTS_DIR} mv $subject/scripts/recon-all.log $subject/scripts/recon-all-step1.log -tar cJf ${WD}/$subject_recon1_output.tar.xz * +tar cJf ${WD}/${subject}_recon1_output.tar.xz * cd ${WD}
bash
d_bash_14221
--- +++ @@ -21,7 +21,8 @@ # Add tor repository. -add-apt-repository "deb http://deb.torproject.org/torproject.org $(lsb_release -s -c) main" -y +sudo add-apt-repository \ + "deb http://deb.torproject.org/torproject.org $(lsb_release -s -c) main" gpg --keyserver x-hkp://pool.sks-keyservers.net --recv-keys 0x8...
bash
d_bash_14222
--- +++ @@ -12,6 +12,7 @@ dart --checked test/substitute_test.dart dart --checked test/settings_test.dart +dart --checked test/type_converter_test.dart dart --checked test/postgresql_test.dart #dart --checked test/postgresql_mock_test.dart dart --checked test/postgresql_pool_test.dart
bash
d_bash_14223
--- +++ @@ -19,10 +19,10 @@ # Apply Salt States # -salt-call --local -l debug state.apply +salt-call --local -l info state.apply # Apply Ansible Plays # -cd /srv/ansible && /usr/bin/ansible-playbook -i hosts site.yml -vv --limit=travis-ci +cd /srv/ansible && /usr/bin/ansible-playbook -i hosts site.yml --limit...
bash
d_bash_14224
--- +++ @@ -1,10 +1,9 @@ #!/bin/bash #SBATCH --nodes=4 -#SBATCH --ntasks-per-node=30 #SBATCH --time=01:00:00 #SBATCH --job-name=clckjob #SBATCH --output=job_%j.log -#SBATCH --partition=compute +#SBATCH --partition=debug . /apps/clck/2019.10/bin/clckvars.sh
bash
d_bash_14225
--- +++ @@ -9,7 +9,7 @@ docker ps # Cleanup from previous build -rm -rf build/venv +rm -rf /tmp/dcos_build_venv # Force Python stdout/err to be unbuffered. export PYTHONUNBUFFERED="notemtpy" @@ -30,8 +30,8 @@ fi # Create a python virtual environment to install the DC/OS tools to -pyvenv build/env -. build...
bash
d_bash_14226
--- +++ @@ -29,6 +29,7 @@ '_sk$' '\.tx$' '\.txt$' + '^NOTICE$' '(^|/)testdata\/' '(^|/)vendor\/' '(^|/)Pipfile$'
bash
d_bash_14227
--- +++ @@ -2,4 +2,4 @@ ROOT=$(readlink -fn $(dirname $0)/.. ) find $ROOT -not -wholename \*.tox/\* -and -not -wholename \*.test/\* \ - -and -name \*.sh -print0 | xargs -0 bashate -v + -and -name \*.sh -print0 | xargs -0 bashate -v --ignore E006
bash
d_bash_14228
--- +++ @@ -2,9 +2,18 @@ RADIO="http://playerservices.streamtheworld.com/pls/CBC_R1_EDM_H.pls" -if [[ -z "$(pgrep vlc)" ]] ; +if [[ -z "$(pgrep vlc)" ]] then - nohup cvlc $RADIO &>/dev/null & - #cvlc $RADIO + nohup cvlc $RADIO --control dbus &>/dev/null & +else + p=$(pgrep vlc) + DBUS_SESSION_BUS_ADDRESS=$...
bash
d_bash_14229
--- +++ @@ -1,13 +1,13 @@ parameterized_dep() { outer_filename=./deps/tests/tmp/parameterized_dep.txt - outer_contents="one two three" + outer_contents="one \"two\\ three" write_file() { filename=$1 contents=$2 is_met() { - [[ `cat $filename` = $contents ]] + [[ `cat $filename` =...
bash
d_bash_14230
--- +++ @@ -13,6 +13,7 @@ find . -name "makeRelease.sh" -exec rm -rf {} \; &>/dev/null find . -name "local_*" -exec rm -rf {} \; &>/dev/null find . -name "static" -exec rm -rf {} \; &>/dev/null +find . -name ".idea" -exec rm -rf {} \; &>/dev/null cd .. tar c google-api-php-client | gzip > $RELFILE rm -rf $TMPDI...
bash
d_bash_14231
--- +++ @@ -11,12 +11,12 @@ fi echo "Processing source files..." -tar cf AppKit.doc.tar --exclude='_*' -s /^AppKit/AppKit.doc/ AppKit/*.j AppKit/**/*.j -tar xf AppKit.doc.tar +bsdtar cf AppKit.doc.tar --exclude='_*' -s /^AppKit/AppKit.doc/ AppKit/*.j AppKit/**/*.j +bsdtar xf AppKit.doc.tar rm AppKit.doc.tar -t...
bash
d_bash_14232
--- +++ @@ -1,6 +1,6 @@ #!/bin/sh -REPOSITORY="git@git.tuvistavie.com:tuvistavie/tomoyo-chef.git" +REPOSITORY="https://git.tuvistavie.com/tuvistavie/tomoyo-chef.git" for cmd in "vboxmanage" "vagrant" "git" "gem"; do if ! eval "which $cmd > /dev/null"; then
bash
d_bash_14233
--- +++ @@ -1,2 +1,2 @@ #!/bin/sh -cat /var/log/manticore/query.log | sed '/ (0,[0-9][0-9]\+)\] \[/!d; /_index\] *$/d; s/\[... \(...\) \?\([0-9]\+\) [0-9.:]\+ \([0-9]\+\)\].*\] \[\([a-z]\+\)\(_main\)\?_index[^]]*\] \?\(.*\)$/\2 \1 \3,\4,\6/' +cat /var/log/manticore/query.log | LANG=C sed '/ (0,[0-9][0-9]\+)\] \[/!d...
bash
d_bash_14234
--- +++ @@ -23,6 +23,3 @@ # remote desktop alias rdesktop='rdesktop -x l -g 1024x768 -a 16 -k en-us' alias rdp='rdesktop' - -# brew (OS X) -alias brew-sync='brew update && brew upgrade && brew cleanup && echo Sync done.'
bash
d_bash_14235
--- +++ @@ -30,7 +30,7 @@ push_git_notes () { - GIT_SSH="ssh -i ~/.ssh/id_ed25519" git push git@github.com:thusoy/blag refs/notes/* + GIT_SSH_COMMAND="ssh -i ~/.ssh/id_ed25519" git push git@github.com:thusoy/blag refs/notes/* }
bash
d_bash_14236
--- +++ @@ -6,6 +6,9 @@ if [ -z $SNABB_PCI0 ]; then exit $SKIPPED_CODE; fi +# FIXME: Once these tests are passing reliably again, remove this. +if [ -z $SNABB_ENABLE_FLAKY_TESTS ]; then exit $SKIPPED_CODE; fi + ./snabb lwaftr quickcheck program.lwaftr.tests.propbased.prop_nocrash $SNABB_PCI0 ./snabb lwaftr qui...
bash
d_bash_14237
--- +++ @@ -10,8 +10,8 @@ ) mkdir -p /io/wheelhouse -ls -la /io -ls -la /io/convertbng +# ls -la /io +# ls -la /io/convertbng echo $LD_LIBRARY_PATH mkdir -p /usr/local/lib export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/lib @@ -29,7 +29,7 @@ done # Install packages and test -# for PYBIN in /opt/python...
bash
d_bash_14238
--- +++ @@ -16,6 +16,10 @@ BASE_URI='http://localhost:8000' \ PGUSER=$(whoami) \ PGDATABASE='zoomhub_development' \ +RACKSPACE_USERNAME='' \ +RACKSPACE_API_KEY='' \ +RACKSPACE_CONTAINER='cache' \ +RACKSPACE_CONTAINER_PATH='content' \ stack exec zoomhub | jq & echo $! > zoomhub.pid
bash
d_bash_14239
--- +++ @@ -1,3 +1,7 @@ #!/bin/sh + +if [ -r ./env.sh ]; then + . ./env.sh +fi export PATH=$(echo $PATH | sed 's/8/7/g') mvn -s settings.xml clean install -Dsolutions.codechecking.phase=verify
bash
d_bash_14240
--- +++ @@ -4,6 +4,12 @@ set -e # Fail on any error. set -x # Display commands being run. + +# Specify we want to build with GCC 7 +sudo apt-get update +sudo apt-get install -y gcc-7 g++-7 +sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-7 100 --slave /usr/bin/g++ g++ /usr/bin/g++-7 +sudo update-...
bash
d_bash_14241
--- +++ @@ -3,14 +3,31 @@ : "${PGDATA:?PGDATA must be set}" +WGET_BIN=${WGET_BIN:-/usr/bin/wget} USE_WALE_SIDECAR=${USE_WALE_SIDECAR:-false} WALE_INIT_LOCKFILE=$PGDATA/wale_init_lockfile WALE_SIDECAR_HOSTNAME=${WALE_SIDECAR_HOSTNAME:-localhost} WALE_SIDECAR_PORT=${WALE_SIDECAR_PORT:-5000} -ARCHIVE_COMMAND="a...
bash
d_bash_14242
--- +++ @@ -17,7 +17,7 @@ ./script/run_carton.sh install YAML::Syck # Install BerkeleyDB correctly before installing the remaining modules from carton.lock - BERKELEYDB_INCLUDE=/usr/local/include/db44 \ + BERKELEYDB_INCLUDE=/usr/local/include \ BERKELEYDB_LIB=/usr/local/lib \ ./script/run_carton.sh install ...
bash
d_bash_14243
--- +++ @@ -2,4 +2,5 @@ cd /ket && curl -L https://github.com/apprenda/kismatic/releases/download/v1.2.0/kismatic-v1.2.0-linux-amd64.tar.gz | tar -zx && sudo apt-get -y install git build-essential && +sudo apt-get install -qq python2.7 && ln -s /usr/bin/python2.7 /usr/bin/python && git clone https://github.com/s...
bash
d_bash_14244
--- +++ @@ -3,11 +3,11 @@ DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" . $DIR/.gr8_env.sh -if [ "$#" -ne 1 ]; then - echo "Usage: " `basename $0` "[success_status|job_id|run_status]" +if [ "$#" -ne 2 ]; then + echo "Usage: " `basename $0` "[success_status|job_id|run_status] [last_hour|last_24_hours|l...
bash
d_bash_14245
--- +++ @@ -10,7 +10,8 @@ # BREW # ######## alias b="brew" -alias bupo="brew up && brew outdated" +alias bupo="brew update && brew outdated" +alias bupcl="brew upgrade && brew cleanup" ####### # Git #
bash
d_bash_14246
--- +++ @@ -8,9 +8,13 @@ ;; esac +# fix/hijack permissions on /papercut/server/data +chown -R papercut:papercut /papercut/server/data + # are we installed already? if [ -x /etc/init.d/papercut ]; then /etc/init.d/papercut start + /etc/init.d/papercut-web-print start /etc/init.d/paperc...
bash
d_bash_14247
--- +++ @@ -20,11 +20,10 @@ SCRIPT_DIR="$(cd "$(dirname "${SCRIPT_PATH}")" >/dev/null 2>&1 && pwd)" if [ ! -L "${SCRIPT_DIR}" ]; then - GPDB_DIR=$(basename "${SCRIPT_DIR}") + GPHOME=${SCRIPT_DIR} else - GPDB_DIR=$(basename "$(readlink "${SCRIPT_DIR}")") + GPHOME=$(readlink "${SCRIPT_DIR}") fi -GPHOME=$(di...
bash
d_bash_14248
--- +++ @@ -4,6 +4,11 @@ # Authors: # Matt Cable <wozz@wookie.net> # + +# This module is for Mac OS X only. +if [[ "$OSTYPE" != darwin* ]]; then + return 1 +fi # Aliases alias pc="sudo port clean --all installed"
bash
d_bash_14249
--- +++ @@ -9,5 +9,5 @@ export VISUAL="$EDITOR" alias q="$EDITOR" -alias qv="q $DOTFILES/link/.{,g}vimrc +'cd $DOTFILES/link'" +alias qv="q $DOTFILES/link/.{,g}vimrc +'cd $DOTFILES'" alias qs="q +'cd $DOTFILES'"
bash
d_bash_14250
--- +++ @@ -7,11 +7,11 @@ echo "" echo "Installing aurget..." -cd /tmp +cd /tmp || exit wget https://aur.archlinux.org/cgit/aur.git/snapshot/aurget.tar.gz tar xf aurget.tar.gz -cd aurget +cd aurget || exit makepkg -di # Install aura
bash
d_bash_14251
--- +++ @@ -10,14 +10,13 @@ # Use xset s $time to control the timeout when this will run. xset s 300 +cmd="i3lock" # Check if the 1st argument is file -if [ -f $1 ]; then +if [ $# -eq 1 ] && [ -f $1 ]; then mime=$(file --mime-type $1 | cut -d \ -f2) # Check if it's a PNG file if [ $(echo $mime|grep -i png...
bash
d_bash_14252
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash -mkdir -p gz -cd gz +mkdir -p xml +cd xml wget -r --no-parent --no-directories ftp://ftp.nlm.nih.gov/nlmdata/.medleasebaseline/gz/ > ../out.log 2> ../err.log
bash
d_bash_14253
--- +++ @@ -2,12 +2,13 @@ set -e INSTALL_BASE="/opt/dims" -JAR_PATH="$INSTALL_BASE/jars/tupelo" # If there was a path specified, use that instead of the default if [ ! "$1" == "" ]; then INSTALL_BASE="$1" fi + +JAR_PATH="$INSTALL_BASE/jars/tupelo" echo "Installing to $INSTALL_BASE"
bash
d_bash_14254
--- +++ @@ -5,12 +5,16 @@ # # Usage: VERSION=0.0.0 ./build-package.sh +# Fail early of any of the commands below fail. +set -e + +if [ -z "$VERSION" ]; then + echo '$VERSION must be set to build a package.' + exit -1 +fi # Set package filename. PKGNAME="hoff_$VERSION-1" - -# Fail early of any of the comma...
bash
d_bash_14255
--- +++ @@ -1,7 +1,8 @@ #!/bin/bash # Run default celery worker -celery -A mozillians worker -Q celery -l INFO -n default@%h & +conc=$(($(nproc) / 2)) +celery -A mozillians worker -Q celery -l INFO -n default@%h -c $conc & status=$? if [ $status -ne 0 ]; then @@ -10,7 +11,7 @@ fi # Run cis celery worker -...
bash
d_bash_14256
--- +++ @@ -1,24 +1,23 @@ #!/bin/sh -HOME=/var/www/venganzasdelpasado.com.ar/st2 -DURATION=7512 -DATE=`/bin/date +%F -d yesterday` +DEST=/var/www/venganzasdelpasado.com.ar/st2 +DATE=$(date +%F -d yesterday) +YEAR=$(date +%Y -d yesterday) +URL=https://radio3.dl.uy:9952/?type=http +DURATION=2:00:00 +#DURATION=0:02:0...
bash
d_bash_14257
--- +++ @@ -19,3 +19,26 @@ find . -print | sed -e 's;[^/]*/;|____;g;s;____|; |;g' } +del() { + find . -name $1 -exec rm {} \; +} + +servicels() { + launchctl list +} +servicestart() { + if [ $# -eq 0 ]; then + echo "Add the service name to start !" + return + fi + echo "launchctl start $1" + launc...
bash
d_bash_14258
--- +++ @@ -6,4 +6,7 @@ echo "WARNING: Some pools incompatible with advanced format 4K-sector drives!" fi -zdb | grep ashift +echo "##### List of zpools and ashift setting per child vdev #####" +zdb | grep -E " name|ashift" + +echo -e "\nNOTE: An ashift of 12 is desirable for 4K-sector drives, but may be 9 if Z...
bash
d_bash_14259
--- +++ @@ -1,7 +1,7 @@ #!/usr/bin/env bash set -e -# Start the build with an empty ACI +# Start the build with the caddybox root file system. acbuild --debug begin ./rootfs # In the event of the script exiting, end the build @@ -14,13 +14,14 @@ # Name the ACI acbuild --debug set-name joshix.com/caddy -# ...
bash
d_bash_14260
--- +++ @@ -4,14 +4,15 @@ attempts=60 while [ ${attempts} -gt 0 ]; do - device_name=$(ls /dev/disk/by-id | grep ${DOCKER_VOLUME:0:20}$) + id=$(echo $DOCKER_VOLUME | awk '{ string=substr($0, 1, 20); print string; }') + device_name=$(ls /dev/disk/by-id | grep $id) if [ -n "${device_name}" ]; then ...
bash
d_bash_14261
--- +++ @@ -23,7 +23,7 @@ [ -e ${ITK_XML}/itkImage_8h.xml ] || ( cd ${ITK_XML} && echo "Downloading ITK Doxygen XML..." && - curl -O http://public.kitware.com/pub/itk/NightlyDoxygen/InsightDoxygenDocXml.tar.gz && + curl -O https://public.kitware.com/pub/itk/NightlyDoxygen/InsightDoxygen...
bash
d_bash_14262
--- +++ @@ -8,7 +8,7 @@ ENV='staging' fi -if [[ $TRAVIS_BRANCH =~ ^release//* ]]; then +if [[ $TRAVIS_BRANCH == release* ]]; then ENV='testing' fi @@ -19,7 +19,7 @@ do curl -H "Content-Type: application/json" \ -X POST \ - -d "{\"color\": \"green\", \"message_fo...
bash
d_bash_14263
--- +++ @@ -20,14 +20,22 @@ ${CC} ${CFLAGS} -D LOGNORM embarrassing.c ${LDFLAGS} -o embarrassing_lognorm STC=$STC_INST/bin/stc -STC_OPTLEVEL=${STC_OPTLEVEL:--O2} -STC_FLAGS="$STC_OPTLEVEL" -STC_FLAGS+=" -T no-engine" -${STC} ${STC_FLAGS} -C embarrassing_lognorm.ic embarrassing_lognorm.swift -${MKSTATIC} embarr...
bash
d_bash_14264
--- +++ @@ -4,6 +4,10 @@ set -ex -#QPDF_RELEASE=${QPDF_PATTERN//VERSION/$1} -QPDF_RELEASE=https://github.com/qpdf/qpdf/archive/refs/heads/main.tar.gz +# If we want to test master, use: +#QPDF_RELEASE=https://github.com/qpdf/qpdf/archive/refs/heads/main.tar.gz + +# Normally: +QPDF_RELEASE=${QPDF_PATTERN//VERSION/...
bash
d_bash_14265
--- +++ @@ -27,3 +27,8 @@ [easy_install] index_url = http://pypi.$NODEPOOL_REGION.openstack.org/simple EOF + +# Double check that when the node is made ready it is able +# to resolve names against DNS. +host git.openstack.org +host pypi.${NODEPOOL_REGION}.openstack.org
bash
d_bash_14266
--- +++ @@ -17,20 +17,20 @@ #Count Statements in samples for file in $sample_dir ; do if [ "$file" != "$big_sample" ] ; then - count="`$executable --quiet --ltac-only $file | wc -l`" + count="`$executable --quiet --ltac-only $file | egrep -v NOP | sed '/^\s*$/d' | wc -l`" let "count_ltac...
bash
d_bash_14267
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash sudo apt-get update -if ! pip show requests 2>/dev/null | grep -q 'Version:' +if ! pip search requests 2>/dev/null | grep -q -z1 -Poi "\- Python HTTP for Humans.[\s]*INSTALLED" then echo "Installing python-requests" sudo pip install requests
bash
d_bash_14268
--- +++ @@ -11,7 +11,7 @@ deltasigma pyeda nbwavedrom -RISE +RISE==5.2.0 jupyter_contrib_nbextensions jupyter_nbextensions_configurator jupyterlab
bash
d_bash_14269
--- +++ @@ -3,11 +3,12 @@ PROVISION_DIR="$HOME" export HOMEBREW_NO_AUTO_UPDATE=1 +export PATH=/usr/local/bin:$PATH install_buildkite() { echo "Installing buildkite-agent" - /usr/local/bin/brew tap buildkite/buildkite - /usr/local/bin/brew install --devel buildkite-agent + brew tap buildkite/buildkite + ...
bash
d_bash_14270
--- +++ @@ -4,3 +4,5 @@ time tre makefiles/make.lisp && \ cp -rv assets/* compiled && \ mv -v compiled/htaccess compiled/.htaccess +mkdir -p compiled/gallery-images +chmod -R 777 compiled/gallery-images
bash
d_bash_14271
--- +++ @@ -11,5 +11,5 @@ virtualenv python2.7_virtual_environment ln -sf $root/include/grpc python2.7_virtual_environment/include/grpc source python2.7_virtual_environment/bin/activate -pip install enum34==1.0.4 futures==2.2.0 protobuf==2.6.1 +pip install enum34==1.0.4 futures==2.2.0 protobuf==3.0.0-alpha-1 CFLA...
bash
d_bash_14272
--- +++ @@ -1,13 +1,18 @@ #!/bin/sh -eux -# Values of $TRAVIS_GO_VERSION: go1.1 go1.3.1 tip +# Values of $TRAVIS_GO_VERSION are of general form: go1.1 go1.3.1 tip +# Precise values determined by `.travis.yml` case ${TRAVIS_GO_VERSION#go} in 1.1|1.1.*) # No coverage support, avoid installing the tools needle...
bash
d_bash_14273
--- +++ @@ -2,21 +2,18 @@ # set -ex DOCKER_IMAGE_TAG=${DOCKER_REPOSITORY}:${GIT_COMMIT} +TMP_DOCKER_TAG=${JOB_NAME}${BUILD_NUMBER} # If docker image exists and no force rebuild do nothing FORCE_REBUILD=`echo "$FORCE_REBUILD" | tr '[:upper:]' '[:lower:]'` if [[ $FORCE_REBUILD != "true" ]]; then - if docker...
bash
d_bash_14274
--- +++ @@ -4,6 +4,23 @@ SCRIPTNAME="`readlink -e "$0"`" SCRIPTDIR="`dirname "$SCRIPTNAME"`" +STARTDIR="`dirname .`" #set -x + +on_exit_f=() + +# function foo {} +# on_exit_f+=('foo') + +# function bar {} +# on_exit_f+=('bar') + +function on_exit { + for i in "${!on_exit_f[@]}"; do + ${on_exit_f[$i...
bash
d_bash_14275
--- +++ @@ -5,3 +5,10 @@ gofmt -d . exit 1 fi + +go generate ./... +if [ -n "$(git status -s -uno)" ]; then + echo "Go generate output does not match commit." + echo "Did you forget to run go generate ./... ?" + exit 1 +fi
bash
d_bash_14276
--- +++ @@ -1,4 +1,4 @@ #!/usr/bin/env bash cd "$(dirname "${BASH_SOURCE[0]}")" -vim -Nu minivimrc +"Vader! *" >/dev/null +vim -esNu minivimrc +"Vader! *" >/dev/null
bash
d_bash_14277
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash # Download pretrained embeddings. -curl -O https://nlp.stanford.edu/data/glove.840B.300d.zip +curl -O http://downloads.cs.stanford.edu/nlp/data/glove.840B.300d.zip unzip glove.840B.300d.zip rm glove.840B.300d.zip
bash
d_bash_14278
--- +++ @@ -5,4 +5,4 @@ sed -i "s/@ES_PORT@/$ES_PORT_9200_TCP_PORT/g" /etc/nginx/sites-available/default echo "Connecting Kibana to ElasticSearch backend on $ES_PORT_9200_TCP_ADDR:$ES_PORT_9200_TCP_PORT..." -/usr/sbin/nginx -c /etc/nginx/nginx.conf +exec /usr/sbin/nginx -c /etc/nginx/nginx.conf
bash
d_bash_14279
--- +++ @@ -10,7 +10,9 @@ -b $2 `# strict breadth-first with n levels of depth` \ -o "crawl-$(date +%s).nq" `# output filename` \ -df "frontier" `# dump frontier after each round to frontier-xxx` \ - -t 32 `# use 32 threads` \ - -s "seed.txt" ...
bash
d_bash_14280
--- +++ @@ -7,3 +7,7 @@ export LANG=en_US.UTF-8 alias pycharm="charm" + +function closeapp() { + osascript -e "quit app \"$1\"" +}
bash
d_bash_14281
--- +++ @@ -2,6 +2,6 @@ influxd 2>/var/log/influxdb.log & sleep 3 -influx -execute "create database myfirstdatabase" +influx -execute "create database metrics" tail -f /var/log/influxdb.log
bash
d_bash_14282
--- +++ @@ -10,9 +10,15 @@ sed "s/<TAG>/$VERSION/" < Dockerrun.aws.json.template > $DOCKERRUN_FILE aws s3 cp $DOCKERRUN_FILE s3://$EB_BUCKET/$DOCKERRUN_FILE $( if [ -n "${PROFILE}" ]; then echo "--profile $PROFILE"; fi ) -aws elasticbeanstalk create-application-version --application-name ls-hubot \ - --version-l...
bash
d_bash_14283
--- +++ @@ -1,2 +1,2 @@ ./update-file-list.sh -qsub -l mem=512M,h_rt=1:00:00 -q killable.q,batch.q -t 1-`cat filelist.txt | wc -l`:1 job.sh +qsub -l mem=2G,h_rt=2:00:00 -q killable.q,batch.q -t 1-`cat filelist.txt | wc -l`:1 job.sh
bash
d_bash_14284
--- +++ @@ -18,4 +18,8 @@ # Sonatype staging (avoid Central sync delay) sed -e 's|libraryDependencies |resolvers += "Sonatype Staging" at "https://oss.sonatype.org/content/repositories/staging/", libraryDependencies |' < "$SCRIPT_DIR/../project/Play2-ReactiveMongo.scala" > /tmp/Play2-ReactiveMongo.scala && mv /tmp/...
bash
d_bash_14285
--- +++ @@ -31,4 +31,5 @@ # Load if the command exists ############################# type exa >/dev/null 2>&1 && alias el="exa -la" +type exa >/dev/null 2>&1 && alias et="exa -laT --level=2" type exa >/dev/null 2>&1 && alias ea="exa -bghl --git --group-directories-first"
bash
d_bash_14286
--- +++ @@ -11,6 +11,6 @@ $_ = "[$time,[$cnt],[$size],$totalfee],\n"' .mode csv .headers off -select * from mempool; +select * from mempool order by time; EOF
bash
d_bash_14287
--- +++ @@ -3,7 +3,6 @@ export OPENAAA_PROTOCOL=aaa export OPENAAA_HANDLER=/usr/local/bin/aducid export OPENAAA_VERBOSITY=4 -export OPENAAA_SERVICE=10.16.60.142 -#export OPENAAA_SERVICE=aaa.rtfm.cz +export OPENAAA_SERVICE=127.0.0.1 export PATH=/opt/aaa/bin:$PATH sudo -E /opt/aaa/bin/openssl s_server -key ./test/...
bash
d_bash_14288
--- +++ @@ -14,20 +14,25 @@ #This sample should be avoided for performance reasons big_sample="$base_dir/samples/big.eddi" -#Count LTAC Statements +#Count Statements in samples for file in $sample_dir ; do if [ "$file" != "$big_sample" ] ; then count="`$executable --quiet --ltac-only $file | wc -l`...
bash
d_bash_14289
--- +++ @@ -6,6 +6,11 @@ # create a zpool zpool create -df -o ashift=12 -O compression=on storage raidz2 $DRIVES +# upgrade the pool (can be achieved by deleting -d in command above) +zpool upgrade storage + # create an additional zfs device zfs create storage/neurobio +# set lz4 as compression method for sto...
bash
d_bash_14290
--- +++ @@ -5,6 +5,7 @@ if [ "$1" != "DEB" -a "$1" != "RPM" ] then echo "Usage: make-package.sh [DEB|RPM]" + exit 1 fi DIR=`dirname $0`
bash
d_bash_14291
--- +++ @@ -31,4 +31,4 @@ fi fi -set -o pipefail && xcodebuild -project "${PROJECT_PATH}" -scheme "${SCHEME}" "${CLEAN_BUILD}" build test | xcpretty +set -o pipefail && xcodebuild -project "${PROJECT_PATH}" -scheme "${SCHEME}" "${CLEAN_BUILD}" build test GENERATE_CODE_COVERAGE_FILES | xcpretty
bash
d_bash_14292
--- +++ @@ -7,7 +7,7 @@ sudo sh /tmp/NVIDIA-Linux-x86_64-361.42.run --silent # Install nvidia-docker and nvidia-docker-plugin -wget -P /tmp https://github.com/NVIDIA/nvidia-docker/releases/download/v1.0.0/nvidia-docker_1.0.0-1_amd64.deb +wget -P /tmp https://github.com/NVIDIA/nvidia-docker/releases/download/v1.0....
bash
d_bash_14293
--- +++ @@ -32,3 +32,10 @@ git pair set one two >/dev/null [ "$(git config --global --get user.name)" = 'One and Two' ] [ "$(git config --global --get user.email)" = 'one+two@one.com' ] + +t "'set' does nothing if the provided nicknames don't exist" +original_name=$(! git pair --global --get user.name) +original_e...
bash
d_bash_14294
--- +++ @@ -12,7 +12,7 @@ echo "https://github.com/AdoptOpenJDK/openjdk14-binaries/releases/download/jdk-14.0.2%2B12/OpenJDK14U-jdk_x64_linux_hotspot_14.0.2_12.tar.gz" ;; java15) - echo "https://github.com/AdoptOpenJDK/openjdk15-binaries/releases/download/jdk15-2020-08-05-14-28/OpenJDK15-jdk_x64_linux_hotsp...
bash
d_bash_14295
--- +++ @@ -7,12 +7,12 @@ s/tutorial/page/g s/ Tutorial:/:/g s/"index\.html"/".\/"/g - s/"\([^"\/]\+\)\.html"/"\1"/g' docs/*.html + s/"\([^"\/]\+\)\.html\(["#]\)/"\1\2/g' docs/*.html for f in docs/tutorial*; do mv $f ${f/tutorial/page} done cp -r logo docs/ -rm -rf ../../docs/ -mv doc...
bash
d_bash_14296
--- +++ @@ -5,5 +5,6 @@ mkdir ${dist} cp -R build/* ${dist}/ cp scripts/start-webserver* ${dist}/ +cp -R node_modules/vivliostyle/samples ${dist}/ zip -qr vivliostyle-js-viewer-latest.zip ${dist} rm -rf ${dist}
bash
d_bash_14297
--- +++ @@ -5,3 +5,4 @@ export PATH="$HOME/.rbenv/bin:$PYENV_ROOT/bin:$PATH" eval "$(rbenv init -)" eval "$(pyenv init -)" +eval "$(pyenv virtualenv-init -)"
bash
d_bash_14298
--- +++ @@ -8,7 +8,7 @@ $GS_HOME/bin/devKitCommandLine serverDoIt $1 << EOF | testReport | - testReport := SmalltalkCI runCIFor: '$BASE/tests/smalltalkCI.ston' produceXMLLog: false. + testReport := SmalltalkCIGemstone loadAndTest: '$BASE/tests/smalltalkCI.ston' produceXMLLog: false. System commitTransacti...
bash
d_bash_14299
--- +++ @@ -15,6 +15,8 @@ # 2) Move Wekan version tag to be newest after merge # and push to repo. +git add --all +git commit -m "Merge newest changes." git tag --force v$1 HEAD git push --tags --force git push --follow-tags
bash